### Function

# Pango.quantize_line_geometry

#### Declaration [src]

    void
    pango_quantize_line_geometry (
      int* thickness,
      int* position
    )

#### Description [src]

Quantizes the thickness and position of a line to whole device pixels.

This is typically used for underline or strikethrough. The purpose of this function is to avoid such lines looking blurry.

Care is taken to make sure `thickness` is at least one pixel when this function returns, but returned `position` may become zero as a result of rounding.

#### Parameters

`thickness` | `int*`
| pointer to the thickness of a line, in Pango units
| Direction: in-out
| Ownership of the data is transferred to the callee
`position` | `int*`
| corresponding position
| Direction: in-out
| Ownership of the data is transferred to the callee